module Day1Lib (parseBackpacks, processInput1, processInput2) where
    
import Data.List (sort)
import Data.List.Split

parseBackpacks :: String -> [[Int]]
parseBackpacks input = [map read b | b <- splitOn [""] $ lines input]

-- ################

processInput1 :: String -> Int
processInput1 = maximum . (map sum) . parseBackpacks

processInput2 :: String -> Int
processInput2 = sum . (take 3) . reverse . sort . (map sum) . parseBackpacks